---
title: Home
get_in_touch: true
tags:
  - development
  - coding
  - hacking
  - free software
  - open source
  - high performance
  - research
  - computer science
---

{{< flexcolumn style="justify-content:center;align-items:center" >}}
{{% div class="headline" %}}
**The DoubleFourteen Code Forge makes digital better.**

{{% div style="text-align:left" %}}
We believe in the synergy between conscious business, research and coding.
{{% /div %}}
{{% /div %}}
{{% div style="align-self:flex-center" %}}
<a href="doublefourteen/" class="button">See our manifesto</a>
{{% /div %}}
{{< /flexcolumn >}}

{{% div class="alt-background" %}}
{{% div class="container cards-list" %}}

{{< flexcolumn >}}

{{% div title="Get our help" %}}
{{% div style="text-align:left" %}}
- See how [digital tools](portfolio/) can help you.
- Get [advice](contacts/) on your digitalization.
- Create your new software [with us](team/).
{{% /div %}}
{{% /div %}}

{{% div title="Join us" %}}
{{% div style="text-align:left" %}}
- [Official blog](blog/) to share our thoughts.
- [Git repository](https://git.doublefourteen.io/explore/repos) to share our code.
- IRC on `#doublefourteen`@[Libera.Chat](https://liberachat.net).
{{% /div %}}
{{% /div %}}

{{< /flexcolumn >}}

{{% /div %}}
{{% /div %}}
